%define name    filelight
%define version 1.0
%define release %mkrel 2

# Work around for different libtool use in kde 
%define __libtoolize true

Summary:        Graphical disk usage statistics
Name:           %name
Version:        %version
Release:        %release

License:	GPL+
Group:		Monitoring
Source:		filelight-%{version}.tar.bz2
URL:		http://www.methylblue.com/filelight
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel desktop-file-utils autoconf

%description
Filelight graphically represents a file system as a set of concentric
segmented-rings, indicating where diskspace is being used. Segments expanding
from the center represent files (including directories), with each segment's
size being proportional to the file's size and  directories having child
segments. Filelight performs a similar function to KDirstat, but in a more
compact fashion.

%prep
%setup -q 

%build
%configure2_5x --disable-rpath
%make

%install
rm -rf %buildroot
%makeinstall

perl -pi -e 's/Generic Name/GenericName/' $RPM_BUILD_ROOT%{_datadir}/applications/kde/*
perl -pi -e 's,%{name}.png,%{name},g' $RPM_BUILD_ROOT%{_datadir}/applications/kde/*

desktop-file-install --vendor="" \
  --add-category="Monitor" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde/ $RPM_BUILD_ROOT%{_datadir}/applications/kde/*

%find_lang %{name}

%clean
rm -rf %buildroot

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(0755,root,root,0755)
%{_bindir}/%{name}
%defattr(0644,root,root,0755)
%{_datadir}/apps/filelight/*.rc

%{_datadir}/config/filelightrc
%{_datadir}/icons/*/*/apps/*.png
%_libdir/kde3/*.la
%_libdir/kde3/*.so
%_datadir/services/*.desktop

%_datadir/icons/crystalsvg/32x32/actions/view_filelight.png

%_datadir/applications/kde/*.desktop




%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0-2mdv2008.1
+ Revision: 136415
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.com> 1.0-2mdv2008.0
+ Revision: 81149
- fix XDG category error
- rebuild for 2008
- drop legacy icons and menu
- use Fedora license policy
- clean spec


* Sat Dec 16 2006 Pascal Terjan <pterjan@mandriva.org> 1.0-1mdv2007.0
+ Revision: 98149
- xdg menu
- use autoconf2.5
- update icon cache
-1.0 final
- new location for icons
- Import filelight

* Mon Jan 02 2006 Lenny Cartier <lenny@mandriva.com> 1.0-0.beta6.2mdk
- rebuild

* Wed Nov 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta6.1mdk
- beta6

* Mon Nov 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta5.1mdk
- beta5

* Wed Nov 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta4.1mdk
- beta4

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta2.1mdk
- beta2

* Wed Jun 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0-0.beta1.2mdk
- rebuild

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta1.1mdk
- 1.0-beta1

* Mon Feb 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.4-3mdk
- change menu section (Nicholas Brown)

* Fri Jan 23 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.4-2mdk
- quiet setup

* Thu Jan 22 2004 Nick Brown <nickbroon@blueyonder.co.uk> 0.6.4-1mdk
- First Mandrake package release

